#### local::basic_endpoint::operator<<

Output an endpoint as a string.

    template<
        typename Elem,
        typename Traits,
        typename Protocol>
    std::basic_ostream< Elem, Traits > & operator<<(
        std::basic_ostream< Elem, Traits > & os,
        const basic_endpoint< Protocol > & endpoint);

Used to output a human-readable string for a specified endpoint.

###### Parameters

os

  The output stream to which the string will be written.

endpoint

  The endpoint to be written.

###### Return Value

The output stream.